package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 订单信息，若一个订单存在购买多个资源位，则添加多条数据对象 order_info
 * 
 * @author haotian
 * @date 2024-12-17
 */
public class OrderInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 订单编号，主键，关联 */
    private Long id;


    private String orderInfoId;

    /** 资源位id */
    @Excel(name = "资源位id")
    private Long sourceId;

    /** 作品id */
    @Excel(name = "作品id")
    private Long workId;

    private String status;

    private Date refundTime;

    private Long money;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }

    public void setOrderInfoId(String orderInfoId)
    {
        this.orderInfoId = orderInfoId;
    }

    public String getOrderInfoId()
    {
        return orderInfoId;
    }
    public void setSourceId(Long sourceId) 
    {
        this.sourceId = sourceId;
    }

    public Long getSourceId() 
    {
        return sourceId;
    }
    public void setWorkId(Long workId) 
    {
        this.workId = workId;
    }

    public Long getWorkId() 
    {
        return workId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }

    public Long getMoney() {
        return money;
    }

    public void setMoney(Long money) {
        this.money = money;
    }





    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("orderInfoId", getOrderInfoId())
            .append("remark", getRemark())
            .append("sourceId", getSourceId())
            .append("workId", getWorkId())
                .append("status", getStatus())
            .toString();
    }
}
